import 'dart:math';

import 'package:flutter/material.dart';

class ExpensoDisplay {
  static double height(num height, BuildContext context) {
    const designSize = Size(411, 820);
    final screenSize = Size(
      MediaQuery.of(context).size.width,
      MediaQuery.of(context).size.height,
    );
    final heightDiff = designSize.height - screenSize.height;
    final heightRatioPercentage = (heightDiff / designSize.height) * 100;
    return height - (height / 100) * heightRatioPercentage;
  }

  static double width(num width, BuildContext context) {
    const designSize = Size(411, 820);
    final screenSize = Size(
      MediaQuery.of(context).size.width,
      MediaQuery.of(context).size.height,
    );
    final widthDiff = designSize.width - screenSize.width;
    final widthRatioPercentage = (widthDiff / designSize.width) * 100;
    return width - (width / 100) * widthRatioPercentage;
  }

  static double fontSize(double size, BuildContext context) {
    const designSize = Size(411, 820);
    final screenSize = Size(
      MediaQuery.of(context).size.width,
      MediaQuery.of(context).size.height,
    );
    final scaleWidth = screenSize.width / designSize.width;
    final scaleHeight = screenSize.height / designSize.height;
    final scaleText = min(scaleWidth, scaleHeight);
    final fontSize = size * scaleText;

    return fontSize;
  }
}
